Package uk.ac.starlink.dpac.math

# Interface NumericFunction

public interface NumericFunction
Provides an ordered set of (x,y) samples from a function.

Since:
  15 Mar 2018
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`int`
`getCount()`
Returns the number of samples.
`double`
`getX(int i)`
Returns the X value for a given sample.
`double`
`getY(int i)`
Returns the Y value for a given sample.

## Method Details

### getCount

int getCount()
Returns the number of samples.

Returns:
  number of samples

### getX

double getX(int i)
Returns the X value for a given sample. Values returned from this method must be monotonic with index `i`.

Parameters:
  `i` - sample index
Returns:
  X value for sample `i`

### getY

double getY(int i)
Returns the Y value for a given sample.

Parameters:
  `i` - sample index
Returns:
  Y value for sample `i`